Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lists webhooks configured for a project.
cURL
curl --request GET \ --url https://api.beyondwords.io/v1/projects/{project_id}/webhooks \ --header 'X-Api-Key: <api-key>'
import requests url = "https://api.beyondwords.io/v1/projects/{project_id}/webhooks" headers = {"X-Api-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}}; fetch('https://api.beyondwords.io/v1/projects/{project_id}/webhooks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.beyondwords.io/v1/projects/{project_id}/webhooks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-Api-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beyondwords.io/v1/projects/{project_id}/webhooks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.beyondwords.io/v1/projects/{project_id}/webhooks") .header("X-Api-Key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.beyondwords.io/v1/projects/{project_id}/webhooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '<api-key>' response = http.request(request) puts response.read_body
[ { "id": 1, "url": "https://example.com/", "enabled": true, "use_static_ip": true, "headers": { "Authorization": "Bearer xxxxxx", "X-My-Custom-Header-Y": "yyyyyy", "X-My-Custom-Header-Z": "zzzzzz" }, "created": "2022-01-02 23:59:59 UTC", "updated": "2022-03-04 00:00:00 UTC" }, { "id": 2, "url": "https://example.com/", "enabled": false, "use_static_ip": false, "headers": { "Authorization": "Bearer xxxxxx", "X-My-Custom-Header-Y": "yyyyyy", "X-My-Custom-Header-Z": "zzzzzz" }, "created": "2022-01-02 23:59:59 UTC", "updated": "2022-03-04 00:00:00 UTC" } ]
{ "code": 401, "message": "Unauthorized" }
The numeric ID of your project
'limit' sets the number of results to return in each page.
'offset' sets the first position to return from the results of the query. The default is 0, which starts the page at the first result.
OK
Unique identifier for the object
The URL that BeyondWords will send webhook notifications to. This URL must be served over HTTPS
Whether or not the webhook is enabled or disabled Has the value true if enabled. The default is true.
Whether requests to URL should originate from a static IP address.
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)
Was this page helpful?